Subject: On the proliferation of well-known URLs; draft-nottingham-site-meta-01

From: Brad Fitzpatrick <[email-masked]>
Date: Wed, 29 Apr 2009 10:50:09 -0700

I'd like to discuss the proliferation of well-known URLs, notably the new
one proposed in draft-nottingham-site-meta-01.

I talked to Eran Hammer-Lahav about this, but he suggested I bring it up
here:

I object to the use of /host-meta for two reasons:

1) I feel that /host-meta is too casual of a name and prone to collisions.
It matches /^[\w\-]+$/, which I think is a subset of a fair number of sites'
usernames.

2) There are already too many well-known URLs cluttering up the namespace:

/robots.txt
/favicon.ico
/crossdomain.xml

We can't fix those, but rather than make another one (and don't kid
yourself: /host-meta won't be the last one) and make the situation worse, I
propose we do the respectful thing and make a well-known directory to put
this and all future well-known files in.  e.g.:

/;well_known/host-meta

i.e. put something ugly and weird in there, like a semicolon, to minimize
the chance that it interferes with people's existing URL structure.

Hopefully when the next spec decides to add a new well-known URL, they put
it under /;well_known/.  "But host-meta is the final one, forever!", you
say.  I doubt it.  XRD will become passé, or people will object to doing two
HTTP requests when they really want to do one, so yet another well-known URL
will be born.  Let's give it a future home now.

Thoughts?

- Brad

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 29 Apr 2009 19:37:11 +0100

Brad Fitzpatrick wrote:

> I'd like to discuss the proliferation of well-known URLs, notably the 
> new one proposed in draft-nottingham-site-meta-01.
>
> I talked to Eran Hammer-Lahav about this, but he suggested I bring it 
> up here:
>
> 1) I feel that /host-meta is too casual of a name and prone to 
> collisions.  It matches /^[\w\-]+$/, which I think is a subset of a 
> fair number of sites' usernames.
>
> yourself: /host-meta won't be the last one) and make the situation 
> worse, I propose we do the respectful thing and make a well-known 
> directory to put this and all future well-known files in.  e.g.:
>
> /;well_known/host-meta
>
> i.e. put something ugly and weird in there, like a semicolon, to 
> minimize the chance that it interferes with people's existing URL 
> structure.
>
> Hopefully when the next spec decides to add a new well-known URL, they 
> put it under /;well_known/.  "But host-meta is the final one, 
> forever!", you say.  I doubt it.  XRD will become passé, or people 
> will object to doing two HTTP requests when they really want to do 
> one, so yet another well-known URL will be born.  Let's give it a 
> future home now.
>
> Thoughts?

This sounds sensible to me.
Are you volunteering to write a draft?